package com.ruoyi.system.domain.visit.dr;

import java.io.Serializable;

public class VisitDrTaskAttachment implements Serializable {
    private String id;

    private String taskId;

    private String formTypeId;

    private String fileName;

    private String filePath;

    private String createTime;

    private String isValid;

    private String extfieldOne;

    private String extfieldTwo;

    private String extfieldThree;

    private String extfieldFour;

    private String extfieldFive;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getFormTypeId() {
        return formTypeId;
    }

    public void setFormTypeId(String formTypeId) {
        this.formTypeId = formTypeId;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getExtfieldOne() {
        return extfieldOne;
    }

    public void setExtfieldOne(String extfieldOne) {
        this.extfieldOne = extfieldOne;
    }

    public String getExtfieldTwo() {
        return extfieldTwo;
    }

    public void setExtfieldTwo(String extfieldTwo) {
        this.extfieldTwo = extfieldTwo;
    }

    public String getExtfieldThree() {
        return extfieldThree;
    }

    public void setExtfieldThree(String extfieldThree) {
        this.extfieldThree = extfieldThree;
    }

    public String getExtfieldFour() {
        return extfieldFour;
    }

    public void setExtfieldFour(String extfieldFour) {
        this.extfieldFour = extfieldFour;
    }

    public String getExtfieldFive() {
        return extfieldFive;
    }

    public void setExtfieldFive(String extfieldFive) {
        this.extfieldFive = extfieldFive;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", taskId=").append(taskId);
        sb.append(", formTypeId=").append(formTypeId);
        sb.append(", fileName=").append(fileName);
        sb.append(", filePath=").append(filePath);
        sb.append(", createTime=").append(createTime);
        sb.append(", isValid=").append(isValid);
        sb.append(", extfieldOne=").append(extfieldOne);
        sb.append(", extfieldTwo=").append(extfieldTwo);
        sb.append(", extfieldThree=").append(extfieldThree);
        sb.append(", extfieldFour=").append(extfieldFour);
        sb.append(", extfieldFive=").append(extfieldFive);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        VisitDrTaskAttachment other = (VisitDrTaskAttachment) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getTaskId() == null ? other.getTaskId() == null : this.getTaskId().equals(other.getTaskId()))
            && (this.getFormTypeId() == null ? other.getFormTypeId() == null : this.getFormTypeId().equals(other.getFormTypeId()))
            && (this.getFileName() == null ? other.getFileName() == null : this.getFileName().equals(other.getFileName()))
            && (this.getFilePath() == null ? other.getFilePath() == null : this.getFilePath().equals(other.getFilePath()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
            && (this.getExtfieldOne() == null ? other.getExtfieldOne() == null : this.getExtfieldOne().equals(other.getExtfieldOne()))
            && (this.getExtfieldTwo() == null ? other.getExtfieldTwo() == null : this.getExtfieldTwo().equals(other.getExtfieldTwo()))
            && (this.getExtfieldThree() == null ? other.getExtfieldThree() == null : this.getExtfieldThree().equals(other.getExtfieldThree()))
            && (this.getExtfieldFour() == null ? other.getExtfieldFour() == null : this.getExtfieldFour().equals(other.getExtfieldFour()))
            && (this.getExtfieldFive() == null ? other.getExtfieldFive() == null : this.getExtfieldFive().equals(other.getExtfieldFive()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getTaskId() == null) ? 0 : getTaskId().hashCode());
        result = prime * result + ((getFormTypeId() == null) ? 0 : getFormTypeId().hashCode());
        result = prime * result + ((getFileName() == null) ? 0 : getFileName().hashCode());
        result = prime * result + ((getFilePath() == null) ? 0 : getFilePath().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getExtfieldOne() == null) ? 0 : getExtfieldOne().hashCode());
        result = prime * result + ((getExtfieldTwo() == null) ? 0 : getExtfieldTwo().hashCode());
        result = prime * result + ((getExtfieldThree() == null) ? 0 : getExtfieldThree().hashCode());
        result = prime * result + ((getExtfieldFour() == null) ? 0 : getExtfieldFour().hashCode());
        result = prime * result + ((getExtfieldFive() == null) ? 0 : getExtfieldFive().hashCode());
        return result;
    }
}